/*
 * --------------------------------------------------------------------------------------------------------------------
 * Sketch basierend auf dem Heispielcode der MFRC522 Bibliothek https://github.com/miguelbalboa/rfid
 * --------------------------------------------------------------------------------------------------------------------
*/


#include <SPI.h> // SPI-Bibliothek einbinden
#include <MFRC522.h> // RFID-Bibliothek einbinden

#define RST_PIN         9          // Konfigurierbarer Pin
#define SS_PIN          10         // Konfigurierbarer Pin

MFRC522 mfrc522(SS_PIN, RST_PIN);  // MFRC522 benennen

void setup() {
	Serial.begin(9600);		// Serielle Verbindung mit dem PC öffnen
	while (!Serial);		// Standby während keine serielle Verbindung besteht
	SPI.begin();			// SPI-Kommunikation initialisieren
	mfrc522.PCD_Init();		// MFRC522 Initialisieren
	mfrc522.PCD_DumpVersionToSerial();	// Zeige PCD - MFRC522 Card Reader Details
	Serial.println(F("Scanne PICC um UID, Typ, Datenbloecke, ect. anzuzeigen..."));
}

void loop() {
	// Suche nach neuer Karte
	if ( ! mfrc522.PICC_IsNewCardPresent()) {
		return;
	}

	// Wähle Karte
	if ( ! mfrc522.PICC_ReadCardSerial()) {
		return;
	}

	// Zeige Debug-Info der Karte; PICC_HaltA() wird automatisch abgerufen
	mfrc522.PICC_DumpToSerial(&(mfrc522.uid));
}
